Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaBeanHelperWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaBeanHelperWriter

All Implemented Interfaces:
  Generator

public class JavaBeanHelperWriter
extends JavaClassWriter

This is Wsdl2java's Helper Type Writer. It writes the .java file.

Field Summary
`protected Vector` | `attributes`
`protected Vector` | `elementMetaData`
`protected Vector` | `elements`
`protected TypeEntry` | `extendType`
`protected TypeEntry` | `type`
`protected PrintWriter` | `wrapperPW`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter`

Constructor Summary
`protected` | `JavaBeanHelperWriter(Emitter emitter, TypeEntry type, Vector elements, TypeEntry extendType, Vector attributes)` Constructor.

Method Summary
`protected void` | `closePrintWriter(PrintWriter pw)` Only close the PrintWriter if the PrintWriter belongs to this class.
`protected PrintWriter` | `getPrintWriter(String filename)` The default behaviour (of super.getPrintWriter) is, given the file name, create a PrintWriter for it.
`protected void` | `registerFile(String file)` Only register the filename if the bean helper is not wrapped within a bean.
`protected void` | `setPrintWriter(PrintWriter pw)` The bean helper class may be its own class, or it may be embedded within the bean class.
`protected String` | `verboseMessage(String file)` Return the string: "Generating ".
`protected void` | `writeDeserializer(PrintWriter pw)` write Deserializer getter code and pass in meta data to avoid undo introspection.
`protected void` | `writeFileBody(PrintWriter pw)` Generate the file body for the bean helper.
`protected void` | `writeFileFooter(PrintWriter pw)` Only write the file footer if the bean helper is not wrapped within a bean.
`protected void` | `writeFileHeader(PrintWriter pw)` Only write the file header if the bean helper is not wrapped within a bean.
`protected void` | `writeMetaData(PrintWriter pw)` write MetaData code
`protected void` | `writeSerializer(PrintWriter pw)` write Serializer getter code and pass in meta data to avoid undo introspection.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getClassText, getExtendsText, getFileName, getImplementsText, getPackage, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`generate, isFileGenerated, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected TypeEntry type

### elements

    protected Vector elements

### attributes

    protected Vector attributes

### extendType

    protected TypeEntry extendType

### wrapperPW

    protected PrintWriter wrapperPW

### elementMetaData

    protected Vector elementMetaData

Constructor Detail

### JavaBeanHelperWriter

    protected JavaBeanHelperWriter(Emitter emitter,
                                   TypeEntry type,
                                   Vector elements,
                                   TypeEntry extendType,
                                   Vector attributes)

  Constructor.

Parameters:
  `emitter` -
  `type` - The type representing this class
  `elements` - Vector containing the Type and name of each property
  `extendType` - The type representing the extended class (or null)
  `attributes` - Vector containing the attribute types and names

Method Detail

### setPrintWriter

    protected void setPrintWriter(PrintWriter pw)

  The bean helper class may be its own class, or it may be embedded within the bean class. If it's embedded within the bean class, the JavaBeanWriter will set JavaBeanHelperWriter's PrintWriter to its own.

### getPrintWriter

    protected PrintWriter getPrintWriter(String filename)
                                  throws IOException

  The default behaviour (of super.getPrintWriter) is, given the file name, create a PrintWriter for it. If the bean helper that this class is generating is embedded within a bean, then the PrintWriter returned by this method is the JavaBeanWriter's PrintWriter. Otherwise super.getPrintWriter is called.

  Overrides:
    `getPrintWriter` in class `JavaWriter`
  Throws:
    `IOException`

### registerFile

    protected void registerFile(String file)

  Only register the filename if the bean helper is not wrapped within a bean.

  Overrides:
    `registerFile` in class `JavaClassWriter`

### verboseMessage

    protected String verboseMessage(String file)

  Return the string: "Generating ". only if we are going to generate a new file.

  Overrides:
    `verboseMessage` in class `JavaWriter`

### writeFileHeader

    protected void writeFileHeader(PrintWriter pw)
                            throws IOException

  Only write the file header if the bean helper is not wrapped within a bean.

  Overrides:
    `writeFileHeader` in class `JavaClassWriter`
  Throws:
    `IOException`

### writeFileBody

    protected void writeFileBody(PrintWriter pw)
                          throws IOException

  Generate the file body for the bean helper.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Throws:
    `IOException`

### writeFileFooter

    protected void writeFileFooter(PrintWriter pw)
                            throws IOException

  Only write the file footer if the bean helper is not wrapped within a bean.

  Overrides:
    `writeFileFooter` in class `JavaClassWriter`
  Throws:
    `IOException`

### closePrintWriter

    protected void closePrintWriter(PrintWriter pw)

  Only close the PrintWriter if the PrintWriter belongs to this class. If the bean helper is embedded within a bean then the PrintWriter belongs to JavaBeanWriter and THAT class is responsible for closing the PrintWriter.

  Overrides:
    `closePrintWriter` in class `JavaWriter`

### writeMetaData

    protected void writeMetaData(PrintWriter pw)
                          throws IOException

  write MetaData code

  Throws:
    `IOException`

### writeSerializer

    protected void writeSerializer(PrintWriter pw)
                            throws IOException

  write Serializer getter code and pass in meta data to avoid undo introspection.

  Throws:
    `IOException`

### writeDeserializer

    protected void writeDeserializer(PrintWriter pw)
                              throws IOException

  write Deserializer getter code and pass in meta data to avoid undo introspection.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.